Connect for AutoCAD
The following table lists the AutoCAD versions supported by Connect for AutoCAD:
OS (bits)
Connect for AutoCAD
AutoCAD versions
Win7 64 bits
Win8 64 bits
Win10 64 bits
Version number as delivered in service pack's Suite Installer
2015, 2016, 2017, 2018, 2019
*
•    AutoCAD LT and other AutoCAD derivative products are not supported by any version of Connect for AutoCAD.

•    Connect for AutoCAD requires a .NET framework version 4 or higher.
*Planon Cloud customers, please note that Connect for AutoCAD only supports AutoCAD 2018 or higher, due to a restriction in Transport Layer Security (TLS). Only the TLS 1.2 protocol is supported.